VERSION 5.00
Begin VB.Form mainFRM 
   BackColor       =   &H00FFFFFF&
   Caption         =   "IT115 Image Viewer by Team CDS"
   ClientHeight    =   5895
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   7485
   LinkTopic       =   "Form1"
   ScaleHeight     =   5895
   ScaleWidth      =   7485
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Thumbnails"
      Height          =   3615
      Left            =   0
      TabIndex        =   3
      Top             =   960
      Width           =   7455
      Begin VB.Image thumbnailIMG 
         Height          =   975
         Index           =   0
         Left            =   240
         Stretch         =   -1  'True
         Top             =   240
         Width           =   1095
      End
   End
   Begin VB.Image holderIMG 
      Height          =   975
      Left            =   3120
      Stretch         =   -1  'True
      Top             =   4800
      Width           =   1215
   End
   Begin VB.Shape Shape1 
      Height          =   975
      Left            =   3120
      Top             =   4800
      Width           =   1215
   End
   Begin VB.Label folderLBL 
      BackColor       =   &H00FFFFFF&
      Caption         =   "FOLDER SELECTED : No Folder Selected"
      ForeColor       =   &H000000FF&
      Height          =   255
      Left            =   0
      TabIndex        =   4
      Top             =   120
      Width           =   7455
   End
   Begin VB.Label previousLBL 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Previous Group Of Image"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   4800
      Width           =   1935
   End
   Begin VB.Label nextLBL 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Next Group Of Image"
      Height          =   255
      Left            =   5040
      TabIndex        =   1
      Top             =   4800
      Width           =   1575
   End
   Begin VB.Label totalPicsLBL 
      BackColor       =   &H00FFFFFF&
      Caption         =   "TOTAL PHOTOS : 0"
      ForeColor       =   &H000000FF&
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   360
      Width           =   7455
   End
   Begin VB.Menu FileMenu 
      Caption         =   "File"
      Begin VB.Menu selectFolderMenu 
         Caption         =   "Select Folder"
      End
      Begin VB.Menu slideshow 
         Caption         =   "Slideshow"
      End
      Begin VB.Menu exitMain 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu aboutBox 
      Caption         =   "About"
   End
End
Attribute VB_Name = "mainFRM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim currentPicLocation As Integer
Dim nextPicsDisplay As Integer
Dim lastImageScrolledOver As Integer

Private Sub aboutBox_Click()
mainFRM.Visible = False

response = MsgBox("IT115  Image Viewer Project" & vbNewLine & "Created By Caled, David, And Sean - TEAM CDS", vbOKOnly)
If response = vbOK Then
    mainFRM.Visible = True
End If
End Sub

Private Sub exitMain_Click()
response = MsgBox("Are You Sure You Want To Exit?", vbYesNo)
If response = vbYes Then
    Unload mainFRM
End If
End Sub

Private Sub Form_Load()
selectedFolder = ""
nextLBL.Visible = False
previousLBL.Visible = False


End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
thumbnailIMG(lastImageScrolledOver).BorderStyle = 0
End Sub

Private Sub Frame1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
thumbnailIMG(lastImageScrolledOver).BorderStyle = 0
End Sub

Private Sub thumbnailIMG_MouseDown(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
thumbnailIMG(Index).Drag vbBeginDrag '' this is too cool to take credit for
End Sub

Private Sub thumbnailIMG_MouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
thumbnailIMG(Index).BorderStyle = 1
lastImageScrolledOver = Index
End Sub

Private Sub thumbnailIMG_MouseUp(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
thumbnailIMG(Index).Drag vbEndDrag '' this is too cool to take credit for
End Sub

Private Sub holderIMG_DragDrop(Source As Control, X As Single, Y As Single)
holderIMG.Picture = Source.Picture
showPicFRM.Show
End Sub

Private Sub nextLBL_Click()
'wanted to do 0, would have made things simpler got message saying
' can't unload object created at design time
  lastImageScrolledOver = 0
  previousLBL.Visible = True
  
  For i = 1 To totalPicsDisplay - 1
        Unload thumbnailIMG(i)
  Next
  
If currentPicLocation <> 0 Then
  thumbnailIMG(0).Picture = LoadPicture(selectedFolder + "\" + folderSelectFRM.imgFileBox.List(currentPicLocation))
  nextPicsDisplay = 0
  If currentPicLocation <> (folderSelectFRM.imgFileBox.ListCount - 1) Then
    nextPicsDisplay = (folderSelectFRM.imgFileBox.ListCount - currentPicLocation)
    If nextPicsDisplay > 18 Then
        nextPicsDisplay = 18
    Else
        nextLBL.Visible = False
    End If
    
    For i = 1 To nextPicsDisplay - 1
        Load thumbnailIMG(i)
        currentPicLocation = currentPicLocation + 1
        thumbnailIMG(i).Picture = LoadPicture(selectedFolder + "\" + folderSelectFRM.imgFileBox.List(currentPicLocation))
        thumbnailIMG(i).Visible = True
        thumbnailIMG(i).Left = thumbnailIMG(i - 1).Left + thumbnailIMG(i - 1).Width + 40
        If thumbnailIMG(i).Left + thumbnailIMG(i).Width > Frame1.Width Then
            thumbnailIMG(i).Top = thumbnailIMG(i - 1).Top + thumbnailIMG(i - 1).Height + 40
            thumbnailIMG(i).Left = thumbnailIMG(0).Left
        Else
            thumbnailIMG(i).Top = thumbnailIMG(i - 1).Top
        End If
    Next
  Else
     nextLBL.Visible = False
End If

currentPicLocation = currentPicLocation + 1
End If


End Sub

Private Sub previousLBL_Click()

currentPicLocation = currentPicLocation - totalPicsDisplay - nextPicsDisplay
If currentPicLocation <= 1 Then
currentPicLocation = 0
End If

thumbnailIMG(0).Picture = LoadPicture(selectedFolder + "\" + folderSelectFRM.imgFileBox.List(currentPicLocation))
        
    For i = 1 To nextPicsDisplay - 1
        Unload thumbnailIMG(i)
    Next
    
    For i = 1 To 17
        Load thumbnailIMG(i)
        currentPicLocation = currentPicLocation + 1
        thumbnailIMG(i).Picture = LoadPicture(selectedFolder + "\" + folderSelectFRM.imgFileBox.List(currentPicLocation))
        thumbnailIMG(i).Visible = True
        thumbnailIMG(i).Left = thumbnailIMG(i - 1).Left + thumbnailIMG(i - 1).Width + 40
        If thumbnailIMG(i).Left + thumbnailIMG(i).Width > Frame1.Width Then
            thumbnailIMG(i).Top = thumbnailIMG(i - 1).Top + thumbnailIMG(i - 1).Height + 40
            thumbnailIMG(i).Left = thumbnailIMG(0).Left
        Else
            thumbnailIMG(i).Top = thumbnailIMG(i - 1).Top
        End If
    Next
    nextPicsDisplay = totalPicsDisplay
    nextLBL.Visible = True
    currentPicLocation = 18
End Sub

Private Sub selectFolderMenu_Click()
folderSelectFRM.Show
End Sub

Function loadSmallPics()
    If selectedFolder <> "" Then
        totalPicsLBL.Caption = "TOTAL PHOTOS : " & folderSelectFRM.imgFileBox.ListCount
        folderLBL.Caption = "SELECTED FOLDER : " & selectedFolder
        
        thumbnailIMG(0).Picture = LoadPicture(selectedFolder + "\" + folderSelectFRM.imgFileBox.List(0))
        
        If folderSelectFRM.imgFileBox.ListCount > 18 Then
            totalPicsDisplay = 18
            nextLBL.Visible = True
        Else
            totalPicsDisplay = folderSelectFRM.imgFileBox.ListCount
            nextLBL.Visible = False
        End If
        
            
        For i = 1 To (totalPicsDisplay - 1)
            Load thumbnailIMG(i)
            thumbnailIMG(i).Picture = LoadPicture(selectedFolder + "\" + folderSelectFRM.imgFileBox.List(i))
            thumbnailIMG(i).Visible = True
            thumbnailIMG(i).Left = thumbnailIMG(i - 1).Left + thumbnailIMG(i - 1).Width + 60
            If thumbnailIMG(i).Left + thumbnailIMG(i).Width > Frame1.Width Then
                thumbnailIMG(i).Top = thumbnailIMG(i - 1).Top + thumbnailIMG(i - 1).Height + 60
                thumbnailIMG(i).Left = thumbnailIMG(0).Left
            Else
                thumbnailIMG(i).Top = thumbnailIMG(i - 1).Top
            End If
        Next
        If i <> (totalPicsDisplay - 1) Then
            currentPicLocation = i
        Else
            currentPicLocation = 0
        End If
        
        
    End If

End Function

Private Sub slideshow_Click()
If selectedFolder <> "" And folderSelectFRM.imgFileBox.ListCount > 0 Then
slideshowFRM.Show
Else
MsgBox "You have either not selected a folder or there are no images in the folder. Please make sure you select a folder", vbOKOnly, "IT115 CDS Image Viewer"
End If

End Sub
